List futures
curl --request GET \
--url https://api-v2.polyrouter.io/list-futures \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v2.polyrouter.io/list-futures"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v2.polyrouter.io/list-futures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.polyrouter.io/list-futures"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"futures": [
{
"id": "nfl_superbowl_2025",
"future_name": "Super Bowl LIX Winner",
"league": "nfl",
"season": 2024,
"future_type": "championship",
"category": "team",
"platform_markets": {
"polymarket": {
"market_id": "<string>",
"clob_token_ids": [
"<string>"
]
},
"kalshi": {
"event_ticker": "<string>"
},
"prophetx": {
"tournament_id": "<string>"
},
"novig": {
"market_slug": "<string>"
},
"sxbet": {
"league_id": 123
}
},
"metadata": {
"deadline": "<string>",
"description": "<string>",
"eligible_teams": [
"<string>"
]
}
}
]
},
"meta": {
"platforms_queried": [
"polymarket",
"kalshi",
"prophetx"
],
"request_time": 250,
"data_freshness": "2025-01-01T00:00:00.000Z",
"platform_errors": {}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}Sports
List futures
Fetch available futures markets (Super Bowl, division winners, etc.) for a league
GET
/
list-futures
List futures
curl --request GET \
--url https://api-v2.polyrouter.io/list-futures \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v2.polyrouter.io/list-futures"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v2.polyrouter.io/list-futures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.polyrouter.io/list-futures"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"futures": [
{
"id": "nfl_superbowl_2025",
"future_name": "Super Bowl LIX Winner",
"league": "nfl",
"season": 2024,
"future_type": "championship",
"category": "team",
"platform_markets": {
"polymarket": {
"market_id": "<string>",
"clob_token_ids": [
"<string>"
]
},
"kalshi": {
"event_ticker": "<string>"
},
"prophetx": {
"tournament_id": "<string>"
},
"novig": {
"market_slug": "<string>"
},
"sxbet": {
"league_id": 123
}
},
"metadata": {
"deadline": "<string>",
"description": "<string>",
"eligible_teams": [
"<string>"
]
}
}
]
},
"meta": {
"platforms_queried": [
"polymarket",
"kalshi",
"prophetx"
],
"request_time": 250,
"data_freshness": "2025-01-01T00:00:00.000Z",
"platform_errors": {}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}Authorizations
API key for authentication
Query Parameters
League to query (required)
Available options:
nfl, nba, nhl, mlb Filter by future type (championship, division, conference)
Example:
"championship"
Filter by platform
Available options:
polymarket, kalshi, prophetx, novig, sxbet āI

